# Uses of Class
javax.swing.plaf.ComboBoxUI

Packages that use ComboBoxUI
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.
javax.swing.plaf.multi
Provides user interface objects that combine two or more look and feels.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of ComboBoxUI in javax.swing

Methods in javax.swing that return ComboBoxUI
Modifier and Type
Method
Description
`ComboBoxUI`
JComboBox.`getUI()`
Returns the L&F object that renders this component.
Methods in javax.swing with parameters of type ComboBoxUI
Modifier and Type
Method
Description
`void`
JComboBox.`setUI(ComboBoxUI ui)`
Sets the L&F object that renders this component.

## Uses of ComboBoxUI in javax.swing.plaf.basic

Subclasses of ComboBoxUI in javax.swing.plaf.basic
Modifier and Type
Class
Description
`class`
`BasicComboBoxUI`
Basic UI implementation for JComboBox.

## Uses of ComboBoxUI in javax.swing.plaf.metal

Subclasses of ComboBoxUI in javax.swing.plaf.metal
Modifier and Type
Class
Description
`class`
`MetalComboBoxUI`
Metal UI for JComboBox

## Uses of ComboBoxUI in javax.swing.plaf.multi

Subclasses of ComboBoxUI in javax.swing.plaf.multi
Modifier and Type
Class
Description
`class`
`MultiComboBoxUI`
A multiplexing UI used to combine `ComboBoxUI`s.

## Uses of ComboBoxUI in javax.swing.plaf.synth

Subclasses of ComboBoxUI in javax.swing.plaf.synth
Modifier and Type
Class
Description
`class`
`SynthComboBoxUI`
Provides the Synth L&F UI delegate for `JComboBox`.